ObjectFactory
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class ObjectFactory

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.ObjectFactory

-     public class ObjectFactory
      extends java.lang.Object

  This object contains factory methods for each Java content interface and Java element interface generated in the de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static javax.xml.namespace.QName` | `_Document_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccountIdentificationSEPA` | `createAccountIdentificationSEPA()` Create an instance of `AccountIdentificationSEPA`
    `ActiveOrHistoricCurrencyAndAmountSEPA` | `createActiveOrHistoricCurrencyAndAmountSEPA()` Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`
    `AmountTypeSEPA` | `createAmountTypeSEPA()` Create an instance of `AmountTypeSEPA`
    `BranchAndFinancialInstitutionIdentificationSEPA1` | `createBranchAndFinancialInstitutionIdentificationSEPA1()` Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`
    `BranchAndFinancialInstitutionIdentificationSEPA3` | `createBranchAndFinancialInstitutionIdentificationSEPA3()` Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA3`
    `CashAccountSEPA1` | `createCashAccountSEPA1()` Create an instance of `CashAccountSEPA1`
    `CashAccountSEPA2` | `createCashAccountSEPA2()` Create an instance of `CashAccountSEPA2`
    `CategoryPurposeSEPA` | `createCategoryPurposeSEPA()` Create an instance of `CategoryPurposeSEPA`
    `CreditorReferenceInformationSEPA1` | `createCreditorReferenceInformationSEPA1()` Create an instance of `CreditorReferenceInformationSEPA1`
    `CreditorReferenceTypeCodeSEPA` | `createCreditorReferenceTypeCodeSEPA()` Create an instance of `CreditorReferenceTypeCodeSEPA`
    `CreditorReferenceTypeSEPA` | `createCreditorReferenceTypeSEPA()` Create an instance of `CreditorReferenceTypeSEPA`
    `CreditTransferTransactionInformationSCT` | `createCreditTransferTransactionInformationSCT()` Create an instance of `CreditTransferTransactionInformationSCT`
    `CustomerCreditTransferInitiationV03` | `createCustomerCreditTransferInitiationV03()` Create an instance of `CustomerCreditTransferInitiationV03`
    `DateAndPlaceOfBirth` | `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
    `Document` | `createDocument()` Create an instance of `Document`
    `javax.xml.bind.JAXBElement<Document>` | `createDocument(Document value)` Create an instance of `JAXBElement``<``Document``>`}
    `FinancialInstitutionIdentificationSEPA1` | `createFinancialInstitutionIdentificationSEPA1()` Create an instance of `FinancialInstitutionIdentificationSEPA1`
    `FinancialInstitutionIdentificationSEPA3` | `createFinancialInstitutionIdentificationSEPA3()` Create an instance of `FinancialInstitutionIdentificationSEPA3`
    `GenericOrganisationIdentification1` | `createGenericOrganisationIdentification1()` Create an instance of `GenericOrganisationIdentification1`
    `GenericPersonIdentification1` | `createGenericPersonIdentification1()` Create an instance of `GenericPersonIdentification1`
    `GroupHeaderSCT` | `createGroupHeaderSCT()` Create an instance of `GroupHeaderSCT`
    `OrganisationIdentificationSchemeName1Choice` | `createOrganisationIdentificationSchemeName1Choice()` Create an instance of `OrganisationIdentificationSchemeName1Choice`
    `OrganisationIdentificationSEPAChoice` | `createOrganisationIdentificationSEPAChoice()` Create an instance of `OrganisationIdentificationSEPAChoice`
    `OthrIdentification` | `createOthrIdentification()` Create an instance of `OthrIdentification`
    `PartyIdentificationSEPA1` | `createPartyIdentificationSEPA1()` Create an instance of `PartyIdentificationSEPA1`
    `PartyIdentificationSEPA2` | `createPartyIdentificationSEPA2()` Create an instance of `PartyIdentificationSEPA2`
    `PartySEPAChoice` | `createPartySEPAChoice()` Create an instance of `PartySEPAChoice`
    `PaymentIdentificationSEPA` | `createPaymentIdentificationSEPA()` Create an instance of `PaymentIdentificationSEPA`
    `PaymentInstructionInformationSCT` | `createPaymentInstructionInformationSCT()` Create an instance of `PaymentInstructionInformationSCT`
    `PaymentTypeInformationSCT1` | `createPaymentTypeInformationSCT1()` Create an instance of `PaymentTypeInformationSCT1`
    `PaymentTypeInformationSCT2` | `createPaymentTypeInformationSCT2()` Create an instance of `PaymentTypeInformationSCT2`
    `PersonIdentificationSchemeName1Choice` | `createPersonIdentificationSchemeName1Choice()` Create an instance of `PersonIdentificationSchemeName1Choice`
    `PersonIdentificationSEPA1Choice` | `createPersonIdentificationSEPA1Choice()` Create an instance of `PersonIdentificationSEPA1Choice`
    `PostalAddressSEPA` | `createPostalAddressSEPA()` Create an instance of `PostalAddressSEPA`
    `PurposeSEPA` | `createPurposeSEPA()` Create an instance of `PurposeSEPA`
    `RemittanceInformationSEPA1Choice` | `createRemittanceInformationSEPA1Choice()` Create an instance of `RemittanceInformationSEPA1Choice`
    `ServiceLevelSEPA` | `createServiceLevelSEPA()` Create an instance of `ServiceLevelSEPA`
    `StructuredRemittanceInformationSEPA1` | `createStructuredRemittanceInformationSEPA1()` Create an instance of `StructuredRemittanceInformationSEPA1`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _Document_QNAME

          private static final javax.xml.namespace.QName _Document_QNAME

  - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

  - ### Method Detail

    - #### createDocument

          public Document createDocument()

      Create an instance of `Document`

    - #### createPaymentIdentificationSEPA

          public PaymentIdentificationSEPA createPaymentIdentificationSEPA()

      Create an instance of `PaymentIdentificationSEPA`

    - #### createFinancialInstitutionIdentificationSEPA1

          public FinancialInstitutionIdentificationSEPA1 createFinancialInstitutionIdentificationSEPA1()

      Create an instance of `FinancialInstitutionIdentificationSEPA1`

    - #### createCreditorReferenceTypeCodeSEPA

          public CreditorReferenceTypeCodeSEPA createCreditorReferenceTypeCodeSEPA()

      Create an instance of `CreditorReferenceTypeCodeSEPA`

    - #### createFinancialInstitutionIdentificationSEPA3

          public FinancialInstitutionIdentificationSEPA3 createFinancialInstitutionIdentificationSEPA3()

      Create an instance of `FinancialInstitutionIdentificationSEPA3`

    - #### createGroupHeaderSCT

          public GroupHeaderSCT createGroupHeaderSCT()

      Create an instance of `GroupHeaderSCT`

    - #### createGenericOrganisationIdentification1

          public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()

      Create an instance of `GenericOrganisationIdentification1`

    - #### createPaymentTypeInformationSCT2

          public PaymentTypeInformationSCT2 createPaymentTypeInformationSCT2()

      Create an instance of `PaymentTypeInformationSCT2`

    - #### createPartyIdentificationSEPA2

          public PartyIdentificationSEPA2 createPartyIdentificationSEPA2()

      Create an instance of `PartyIdentificationSEPA2`

    - #### createPartyIdentificationSEPA1

          public PartyIdentificationSEPA1 createPartyIdentificationSEPA1()

      Create an instance of `PartyIdentificationSEPA1`

    - #### createPaymentTypeInformationSCT1

          public PaymentTypeInformationSCT1 createPaymentTypeInformationSCT1()

      Create an instance of `PaymentTypeInformationSCT1`

    - #### createPurposeSEPA

          public PurposeSEPA createPurposeSEPA()

      Create an instance of `PurposeSEPA`

    - #### createCustomerCreditTransferInitiationV03

          public CustomerCreditTransferInitiationV03 createCustomerCreditTransferInitiationV03()

      Create an instance of `CustomerCreditTransferInitiationV03`

    - #### createAccountIdentificationSEPA

          public AccountIdentificationSEPA createAccountIdentificationSEPA()

      Create an instance of `AccountIdentificationSEPA`

    - #### createBranchAndFinancialInstitutionIdentificationSEPA3

          public BranchAndFinancialInstitutionIdentificationSEPA3 createBranchAndFinancialInstitutionIdentificationSEPA3()

      Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA3`

    - #### createPartySEPAChoice

          public PartySEPAChoice createPartySEPAChoice()

      Create an instance of `PartySEPAChoice`

    - #### createBranchAndFinancialInstitutionIdentificationSEPA1

          public BranchAndFinancialInstitutionIdentificationSEPA1 createBranchAndFinancialInstitutionIdentificationSEPA1()

      Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`

    - #### createPersonIdentificationSchemeName1Choice

          public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()

      Create an instance of `PersonIdentificationSchemeName1Choice`

    - #### createRemittanceInformationSEPA1Choice

          public RemittanceInformationSEPA1Choice createRemittanceInformationSEPA1Choice()

      Create an instance of `RemittanceInformationSEPA1Choice`

    - #### createServiceLevelSEPA

          public ServiceLevelSEPA createServiceLevelSEPA()

      Create an instance of `ServiceLevelSEPA`

    - #### createCashAccountSEPA2

          public CashAccountSEPA2 createCashAccountSEPA2()

      Create an instance of `CashAccountSEPA2`

    - #### createPostalAddressSEPA

          public PostalAddressSEPA createPostalAddressSEPA()

      Create an instance of `PostalAddressSEPA`

    - #### createCashAccountSEPA1

          public CashAccountSEPA1 createCashAccountSEPA1()

      Create an instance of `CashAccountSEPA1`

    - #### createOthrIdentification

          public OthrIdentification createOthrIdentification()

      Create an instance of `OthrIdentification`

    - #### createOrganisationIdentificationSchemeName1Choice

          public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()

      Create an instance of `OrganisationIdentificationSchemeName1Choice`

    - #### createAmountTypeSEPA

          public AmountTypeSEPA createAmountTypeSEPA()

      Create an instance of `AmountTypeSEPA`

    - #### createCreditTransferTransactionInformationSCT

          public CreditTransferTransactionInformationSCT createCreditTransferTransactionInformationSCT()

      Create an instance of `CreditTransferTransactionInformationSCT`

    - #### createPaymentInstructionInformationSCT

          public PaymentInstructionInformationSCT createPaymentInstructionInformationSCT()

      Create an instance of `PaymentInstructionInformationSCT`

    - #### createPersonIdentificationSEPA1Choice

          public PersonIdentificationSEPA1Choice createPersonIdentificationSEPA1Choice()

      Create an instance of `PersonIdentificationSEPA1Choice`

    - #### createActiveOrHistoricCurrencyAndAmountSEPA

          public ActiveOrHistoricCurrencyAndAmountSEPA createActiveOrHistoricCurrencyAndAmountSEPA()

      Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`

    - #### createOrganisationIdentificationSEPAChoice

          public OrganisationIdentificationSEPAChoice createOrganisationIdentificationSEPAChoice()

      Create an instance of `OrganisationIdentificationSEPAChoice`

    - #### createStructuredRemittanceInformationSEPA1

          public StructuredRemittanceInformationSEPA1 createStructuredRemittanceInformationSEPA1()

      Create an instance of `StructuredRemittanceInformationSEPA1`

    - #### createCreditorReferenceInformationSEPA1

          public CreditorReferenceInformationSEPA1 createCreditorReferenceInformationSEPA1()

      Create an instance of `CreditorReferenceInformationSEPA1`

    - #### createGenericPersonIdentification1

          public GenericPersonIdentification1 createGenericPersonIdentification1()

      Create an instance of `GenericPersonIdentification1`

    - #### createDateAndPlaceOfBirth

          public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

      Create an instance of `DateAndPlaceOfBirth`

    - #### createCategoryPurposeSEPA

          public CategoryPurposeSEPA createCategoryPurposeSEPA()

      Create an instance of `CategoryPurposeSEPA`

    - #### createCreditorReferenceTypeSEPA

          public CreditorReferenceTypeSEPA createCreditorReferenceTypeSEPA()

      Create an instance of `CreditorReferenceTypeSEPA`

    - #### createDocument

          public javax.xml.bind.JAXBElement<Document> createDocument(Document value)

      Create an instance of `JAXBElement``<``Document``>`}